Template
Update a template
PATCH /template/{id}
PATCH /template/{id}
Requires the manageTemplates permission.
Request body
descriptionstringbodyNo description.
messagestringbodyNo description.
tagIdintegerbodyNo description.
emailTemplateIdintegerbodyNo description.
subjectstringbodyNo description.
exampleTicketIdsinteger[]bodyNo description.
attachmentsobject[]bodyNo description.
Request Example
{
"description": "string",
"message": "string",
"tagId": 1,
"emailTemplateId": 1,
"subject": "string",
"exampleTicketIds": [
1
],
"attachments": [
null
]
}Responses
200 — Template updated successfully
Response Example
{
"id": 1,
"tagId": 1,
"emailTemplateId": 1,
"description": "Zählerstand erfolgreich hinterlegt",
"message": "<p>Wir haben den Zählerstand von {{intent.data.reading}} kWh für den {{formatDateDE intent.data.date}} erfasst und im System hinterlegt.</p>",
"subject": "Wir brauchen Deine Unterstützung",
"exampleTicketIds": [
1
],
"mergedTemplate": "Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt.",
"template": "<p>Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt.</p>",
"success": true
}400 — Validation error
403 — Unauthorized / missing permission
404 — Template not found
500 — Internal error